html {
  scroll-behavior: smooth;
}
/* Default (mobile-first) scroll offsets         */
#video-introduction,
#portfolio,
#about {
  scroll-margin-top: 5rem;
}
#skills,
#experience {
  scroll-margin-top: clamp(-10rem, -8vw, 10rem);
}
#contact {
  scroll-margin-top:-35rem;
}
/* Tablet layout (Saltire tablet versions)       */
@media (min-width: 650px) and (max-width: 989px) {
  #skills {
    scroll-margin-top: clamp(8rem, 8vw, 10rem);
  }
  #experience {
    scroll-margin-top: clamp(12rem, 8vw, 10rem);
  }
}
/* Desktop layout                                */
@media (min-width: 990px) {
   #skills, #experience {
    scroll-margin-top: clamp(-45rem, -45vw, -45rem);
  }
  #experience {
    scroll-margin-top: clamp(-55rem, -55vw, -55rem);
  }
  #portfolio {
    scroll-margin-top: 9rem;
  }
  #about {
    scroll-margin-top: 10rem;
  }
  #contact {
    scroll-margin-top: 1rem;
  }
}